#!/bin/bash

if [ ! -z "${YARN_MODULES_FOLDER}" ];then
    echo "Waiting for yarn env... "
    yarn --modules-folder /srv/node_modules/ run eslint --help >/dev/null 2>&1
    while [ $? -ne 0 ];do
        yarn --modules-folder /srv/node_modules/ run eslint --help >/dev/null 2>&1
    done
    echo "yarn env is ready"
fi
